# Generated by Django 5.0.6 on 2024-06-12 14:32

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Network",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.CharField(max_length=8, unique=True)),
                ("description", models.TextField(blank=True, null=True)),
            ],
            options={
                "db_table": "network",
            },
        ),
        migrations.CreateModel(
            name="Station",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.CharField(max_length=8)),
                ("start_date", models.DateTimeField(blank=True, null=True)),
                ("end_date", models.DateTimeField(blank=True, null=True)),
                ("triggered", models.BooleanField(default=False)),
                (
                    "network",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="quality.network",
                    ),
                ),
            ],
            options={
                "db_table": "station",
                "unique_together": {("code", "network")},
            },
        ),
        migrations.CreateModel(
            name="Channel",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.CharField(max_length=3)),
                ("location", models.CharField(max_length=8)),
                ("end_date", models.DateTimeField(blank=True, null=True)),
                (
                    "station",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="quality.station",
                    ),
                ),
            ],
            options={
                "db_table": "channel",
                "unique_together": {("code", "station", "location")},
            },
        ),
        migrations.CreateModel(
            name="Check",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date", models.DateField()),
                ("result", models.IntegerField()),
                ("retries", models.IntegerField()),
                ("completeness", models.IntegerField()),
                ("shortest_trace", models.IntegerField()),
                ("trace_count", models.IntegerField()),
                (
                    "channel",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="quality.channel",
                    ),
                ),
            ],
            options={
                "db_table": "check",
                "unique_together": {("channel", "date")},
            },
        ),
        migrations.AlterModelTable(
            name="channel",
            table=None,
        ),
        migrations.AlterModelTable(
            name="check",
            table=None,
        ),
        migrations.AlterModelTable(
            name="network",
            table=None,
        ),
        migrations.AlterModelTable(
            name="station",
            table=None,
        ),
        migrations.AlterField(
            model_name="check",
            name="completeness",
            field=models.IntegerField(default=0),
        ),
        migrations.AlterField(
            model_name="check",
            name="retries",
            field=models.IntegerField(default=0),
        ),
        migrations.AlterField(
            model_name="check",
            name="shortest_trace",
            field=models.IntegerField(default=0),
        ),
        migrations.AlterField(
            model_name="check",
            name="trace_count",
            field=models.IntegerField(default=0),
        ),
        migrations.AlterField(
            model_name="network",
            name="description",
            field=models.TextField(blank=True, default=""),
        ),
        migrations.AlterField(
            model_name="check",
            name="result",
            field=models.IntegerField(
                choices=[
                    (0, "No Data"),
                    (1, "Not Readable"),
                    (2, "Deconvolution Fails"),
                    (3, "Deconvolution Pass"),
                    (4, "Channel Closed"),
                ],
                default=0,
            ),
        ),
        migrations.CreateModel(
            name="Operator",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("agency", models.CharField(max_length=255, unique=True)),
                ("website", models.URLField(blank=True)),
                (
                    "stations",
                    models.ManyToManyField(
                        related_name="operators", to="quality.station"
                    ),
                ),
            ],
        ),
    ]
